{ config, lib, ... }:

{
  nixpkgs.config = {
    allowUnfree = true;
    mpv.vaapiSupport = (lib.elem "xserver" config.machine.services);

    packageOverrides = pkgs: with pkgs; rec {
      firmware_surface = callPackage ./firmware_surface { };
      jekyll = callPackage ./jekyll { };
      linuxPackages_surface = recurseIntoAttrs (linuxPackagesFor linux_surface);
      linux_surface = callPackage ./linux_surface { };
      mu-git = callPackage ./mu-git { };
      theme_flat-remix = callPackage ./flat-remix { };
      theme_sddm_midnight = callPackage ./sddm_midnight { };
      xdiskusage = callPackage ./xdiskusage { };
    };
  };
}
